<html>
<head>
<title>Ogre::GLES2FBOManager Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLES2FBOManager.html">GLES2FBOManager</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a> &#124;
<a href="#pri-types">Private Types</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLES2FBOManager Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLES2FBOManager" --><!-- doxytag: inherits="Ogre::GLES2RTTManager" -->
<p>Factory for GL ES 2 Frame Buffer Objects, and related things.  
 <a href="classOgre_1_1GLES2FBOManager.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGLES2FBORenderTexture_8h_source.html">OgreGLES2FBORenderTexture.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::GLES2FBOManager:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1GLES2FBOManager__inherit__graph.gif" border="0" usemap="#Ogre_1_1GLES2FBOManager_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1GLES2FBOManager_inherit__map" id="Ogre_1_1GLES2FBOManager_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1GLES2RTTManager.html" title="Manager/factory for RenderTextures." alt="" coords="44,83,220,112"/><area shape="rect" id="node4" href="classOgre_1_1Singleton.html" title="Ogre::Singleton\&lt; GLES2RTTManager \&gt;" alt="" coords="5,5,259,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1GLES2FBOManager-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLES2FBOManager_1_1FormatProperties.html">FormatProperties</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Frame Buffer Object properties for a certain texture format.  <a href="structOgre_1_1GLES2FBOManager_1_1FormatProperties.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLES2FBOManager_1_1RBFormat.html">RBFormat</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Stencil and depth renderbuffers of the same format are re-used between surfaces of the same size and format.  <a href="structOgre_1_1GLES2FBOManager_1_1RBFormat.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLES2FBOManager_1_1RBRef.html">RBRef</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FBOManager.html#a79b62078d9bdcb248243f0c749145bce">GLES2FBOManager</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FBOManager.html#a6d8e24575949934aedff1212d23bbb76">~GLES2FBOManager</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FBOManager.html#aecea9ceccfdf7484a7d7ff56a971342e">bind</a> (<a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *target)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind a certain render target if it is a FBO.  <a href="#aecea9ceccfdf7484a7d7ff56a971342e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FBOManager.html#a991a79a74f676ce7b02d1a6d828dcd3f">unbind</a> (<a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *target)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unbind a certain render target.  <a href="#a991a79a74f676ce7b02d1a6d828dcd3f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FBOManager.html#a8ad700c0d085d792eee4b9d72837c60f">getBestDepthStencil</a> (GLenum internalFormat, GLenum *depthFormat, GLenum *stencilFormat)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get best depth and stencil supported for given internalFormat.  <a href="#a8ad700c0d085d792eee4b9d72837c60f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1GLES2FBORenderTexture.html">GLES2FBORenderTexture</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FBOManager.html#ac0f7efe952a3e7928af805d9ddf5ed16">createRenderTexture</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="structOgre_1_1GLES2SurfaceDesc.html">GLES2SurfaceDesc</a> &amp;target, bool writeGamma, <a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a texture rendertarget object.  <a href="#ac0f7efe952a3e7928af805d9ddf5ed16"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1MultiRenderTarget.html">MultiRenderTarget</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FBOManager.html#a0166d428e932b3e81082ffb00855c0dc">createMultiRenderTarget</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a multi render target.  <a href="#a0166d428e932b3e81082ffb00855c0dc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1GLES2SurfaceDesc.html">GLES2SurfaceDesc</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FBOManager.html#a183d5c390cbcbd85a2e07e771100abd4">requestRenderBuffer</a> (GLenum format, size_t width, size_t height, <a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Request a render buffer.  <a href="#a183d5c390cbcbd85a2e07e771100abd4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FBOManager.html#a01e2cfb126305dfc9cb97067d4ae1765">requestRenderBuffer</a> (const <a class="el" href="structOgre_1_1GLES2SurfaceDesc.html">GLES2SurfaceDesc</a> &amp;surface)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Request the specify render buffer in case shared somewhere.  <a href="#a01e2cfb126305dfc9cb97067d4ae1765"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FBOManager.html#af7a872f18f376d1056980365d7aa58f9">releaseRenderBuffer</a> (const <a class="el" href="structOgre_1_1GLES2SurfaceDesc.html">GLES2SurfaceDesc</a> &amp;surface)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Release a render buffer.  <a href="#af7a872f18f376d1056980365d7aa58f9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FBOManager.html#a8b24c87902ab230912a41e82d49e9945">checkFormat</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if a certain format is usable as FBO rendertarget format.  <a href="#a8b24c87902ab230912a41e82d49e9945"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLuint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FBOManager.html#a2a5fc40a547baeb9fbe66fe4300d43c3">getTemporaryFBO</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a FBO without depth/stencil for temporary use, like blitting between textures.  <a href="#a2a5fc40a547baeb9fbe66fe4300d43c3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2RTTManager.html#a4a16f5734f7f17716c693cae5078a29a">getSupportedAlternative</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the closest supported alternative format.  <a href="#a4a16f5734f7f17716c693cae5078a29a"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1GLES2RTTManager.html">GLES2RTTManager</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#a7757bd7ac3702c144502e53ad6491888">getSingleton</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1GLES2RTTManager.html">GLES2RTTManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#a7ab51c46521b89723d6186a52a7e0d7b">getSingletonPtr</a> (void)</td></tr>
<tr><td colspan="2"><h2><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1GLES2RTTManager.html">GLES2RTTManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td></tr>
<tr><td colspan="2"><h2><a name="pri-types"></a>
Private Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; <a class="el" href="structOgre_1_1GLES2FBOManager_1_1RBFormat.html">RBFormat</a>, <a class="el" href="structOgre_1_1GLES2FBOManager_1_1RBRef.html">RBRef</a> &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FBOManager.html#a6b63b5dbdfbe0c7a1d4fc34c462bd8a4">RenderBufferMap</a></td></tr>
<tr><td colspan="2"><h2><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FBOManager.html#a77b4583d954d8c36b2ef30612036165e">detectFBOFormats</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Detect allowed FBO formats.  <a href="#a77b4583d954d8c36b2ef30612036165e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLuint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FBOManager.html#acb4dcd114c04b047a8dfaddaad6dce97">_tryFormat</a> (GLenum depthFormat, GLenum stencilFormat)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FBOManager.html#a060a82125778d85d7f8a1ecd11fa8c4c">_tryPackedFormat</a> (GLenum packedFormat)</td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1GLES2FBOManager_1_1FormatProperties.html">FormatProperties</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FBOManager.html#a7dbe65eafbd33f5ce68d3fbb77945e81">mProps</a> [<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca44469cb753c29f07cba54678a57319a1">PF_COUNT</a>]</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Properties for all internal formats defined by OGRE.  <a href="#a7dbe65eafbd33f5ce68d3fbb77945e81"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLES2FBOManager.html#a6b63b5dbdfbe0c7a1d4fc34c462bd8a4">RenderBufferMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FBOManager.html#aa2a693b2834c0cc10cd32abba64ead7a">mRenderBufferMap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLuint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FBOManager.html#ad3b19aa3123358a42bdd02be9ba4dcee">mTempFBO</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Temporary FBO identifier.  <a href="#ad3b19aa3123358a42bdd02be9ba4dcee"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Factory for GL ES 2 Frame Buffer Objects, and related things. </p>

<p>Definition at line <a class="el" href="OgreGLES2FBORenderTexture_8h_source.html#l00061">61</a> of file <a class="el" href="OgreGLES2FBORenderTexture_8h_source.html">OgreGLES2FBORenderTexture.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a6b63b5dbdfbe0c7a1d4fc34c462bd8a4"></a><!-- doxytag: member="Ogre::GLES2FBOManager::RenderBufferMap" ref="a6b63b5dbdfbe0c7a1d4fc34c462bd8a4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;<a class="el" href="structOgre_1_1GLES2FBOManager_1_1RBFormat.html">RBFormat</a>, <a class="el" href="structOgre_1_1GLES2FBOManager_1_1RBRef.html">RBRef</a>&gt;::type <a class="el" href="classOgre_1_1GLES2FBOManager.html#a6b63b5dbdfbe0c7a1d4fc34c462bd8a4">Ogre::GLES2FBOManager::RenderBufferMap</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2FBORenderTexture_8h_source.html#l00177">177</a> of file <a class="el" href="OgreGLES2FBORenderTexture_8h_source.html">OgreGLES2FBORenderTexture.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a79b62078d9bdcb248243f0c749145bce"></a><!-- doxytag: member="Ogre::GLES2FBOManager::GLES2FBOManager" ref="a79b62078d9bdcb248243f0c749145bce" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLES2FBOManager.html#a79b62078d9bdcb248243f0c749145bce">Ogre::GLES2FBOManager::GLES2FBOManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a6d8e24575949934aedff1212d23bbb76"></a><!-- doxytag: member="Ogre::GLES2FBOManager::~GLES2FBOManager" ref="a6d8e24575949934aedff1212d23bbb76" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLES2FBOManager.html#a6d8e24575949934aedff1212d23bbb76">Ogre::GLES2FBOManager::~GLES2FBOManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="acb4dcd114c04b047a8dfaddaad6dce97"></a><!-- doxytag: member="Ogre::GLES2FBOManager::_tryFormat" ref="acb4dcd114c04b047a8dfaddaad6dce97" args="(GLenum depthFormat, GLenum stencilFormat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLuint <a class="el" href="classOgre_1_1GLES2FBOManager.html#acb4dcd114c04b047a8dfaddaad6dce97">Ogre::GLES2FBOManager::_tryFormat</a> </td>
          <td>(</td>
          <td class="paramtype">GLenum&#160;</td>
          <td class="paramname"><em>depthFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLenum&#160;</td>
          <td class="paramname"><em>stencilFormat</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a060a82125778d85d7f8a1ecd11fa8c4c"></a><!-- doxytag: member="Ogre::GLES2FBOManager::_tryPackedFormat" ref="a060a82125778d85d7f8a1ecd11fa8c4c" args="(GLenum packedFormat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLES2FBOManager.html#a060a82125778d85d7f8a1ecd11fa8c4c">Ogre::GLES2FBOManager::_tryPackedFormat</a> </td>
          <td>(</td>
          <td class="paramtype">GLenum&#160;</td>
          <td class="paramname"><em>packedFormat</em></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aecea9ceccfdf7484a7d7ff56a971342e"></a><!-- doxytag: member="Ogre::GLES2FBOManager::bind" ref="aecea9ceccfdf7484a7d7ff56a971342e" args="(RenderTarget *target)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLES2FBOManager.html#aecea9ceccfdf7484a7d7ff56a971342e">Ogre::GLES2FBOManager::bind</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&#160;</td>
          <td class="paramname"><em>target</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Bind a certain render target if it is a FBO. </p>
<p>If it is not a FBO, bind the main frame buffer. </p>

<p>Implements <a class="el" href="classOgre_1_1GLES2RTTManager.html#a137176310449cfddd4159a0cf5012d63">Ogre::GLES2RTTManager</a>.</p>

</div>
</div>
<a class="anchor" id="a8b24c87902ab230912a41e82d49e9945"></a><!-- doxytag: member="Ogre::GLES2FBOManager::checkFormat" ref="a8b24c87902ab230912a41e82d49e9945" args="(PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLES2FBOManager.html#a8b24c87902ab230912a41e82d49e9945">Ogre::GLES2FBOManager::checkFormat</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Check if a certain format is usable as FBO rendertarget format. </p>

<p>Implements <a class="el" href="classOgre_1_1GLES2RTTManager.html#a9e18a4c9df1f0d8963fb8a941ef0cbaf">Ogre::GLES2RTTManager</a>.</p>

<p>Definition at line <a class="el" href="OgreGLES2FBORenderTexture_8h_source.html#l00102">102</a> of file <a class="el" href="OgreGLES2FBORenderTexture_8h_source.html">OgreGLES2FBORenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0166d428e932b3e81082ffb00855c0dc"></a><!-- doxytag: member="Ogre::GLES2FBOManager::createMultiRenderTarget" ref="a0166d428e932b3e81082ffb00855c0dc" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1MultiRenderTarget.html">MultiRenderTarget</a>* <a class="el" href="classOgre_1_1GLES2FBOManager.html#a0166d428e932b3e81082ffb00855c0dc">Ogre::GLES2FBOManager::createMultiRenderTarget</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a multi render target. </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1GLES2RTTManager.html#a964518572afa36a2e7f1424a737419c1">Ogre::GLES2RTTManager</a>.</p>

</div>
</div>
<a class="anchor" id="ac0f7efe952a3e7928af805d9ddf5ed16"></a><!-- doxytag: member="Ogre::GLES2FBOManager::createRenderTexture" ref="ac0f7efe952a3e7928af805d9ddf5ed16" args="(const String &amp;name, const GLES2SurfaceDesc &amp;target, bool writeGamma, uint fsaa)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1GLES2FBORenderTexture.html">GLES2FBORenderTexture</a>* <a class="el" href="classOgre_1_1GLES2FBOManager.html#ac0f7efe952a3e7928af805d9ddf5ed16">Ogre::GLES2FBOManager::createRenderTexture</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1GLES2SurfaceDesc.html">GLES2SurfaceDesc</a> &amp;&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>writeGamma</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td>
          <td class="paramname"><em>fsaa</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a texture rendertarget object. </p>

<p>Implements <a class="el" href="classOgre_1_1GLES2RTTManager.html#a0360c9116f06dd86a68ce61e3633bcf1">Ogre::GLES2RTTManager</a>.</p>

</div>
</div>
<a class="anchor" id="a77b4583d954d8c36b2ef30612036165e"></a><!-- doxytag: member="Ogre::GLES2FBOManager::detectFBOFormats" ref="a77b4583d954d8c36b2ef30612036165e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLES2FBOManager.html#a77b4583d954d8c36b2ef30612036165e">Ogre::GLES2FBOManager::detectFBOFormats</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Detect allowed FBO formats. </p>

</div>
</div>
<a class="anchor" id="a8ad700c0d085d792eee4b9d72837c60f"></a><!-- doxytag: member="Ogre::GLES2FBOManager::getBestDepthStencil" ref="a8ad700c0d085d792eee4b9d72837c60f" args="(GLenum internalFormat, GLenum *depthFormat, GLenum *stencilFormat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLES2FBOManager.html#a8ad700c0d085d792eee4b9d72837c60f">Ogre::GLES2FBOManager::getBestDepthStencil</a> </td>
          <td>(</td>
          <td class="paramtype">GLenum&#160;</td>
          <td class="paramname"><em>internalFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLenum *&#160;</td>
          <td class="paramname"><em>depthFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLenum *&#160;</td>
          <td class="paramname"><em>stencilFormat</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get best depth and stencil supported for given internalFormat. </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1GLES2RTTManager.html#a270434b8c3c065d0abb8c27aa2a91885">Ogre::GLES2RTTManager</a>.</p>

</div>
</div>
<a class="anchor" id="a7757bd7ac3702c144502e53ad6491888"></a><!-- doxytag: member="Ogre::GLES2FBOManager::getSingleton" ref="a7757bd7ac3702c144502e53ad6491888" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1GLES2RTTManager.html">GLES2RTTManager</a> &amp; <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1GLES2RTTManager.html">GLES2RTTManager</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#a7757bd7ac3702c144502e53ad6491888">getSingleton</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00090">90</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7ab51c46521b89723d6186a52a7e0d7b"></a><!-- doxytag: member="Ogre::GLES2FBOManager::getSingletonPtr" ref="a7ab51c46521b89723d6186a52a7e0d7b" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1GLES2RTTManager.html">GLES2RTTManager</a> * <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1GLES2RTTManager.html">GLES2RTTManager</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#a7ab51c46521b89723d6186a52a7e0d7b">getSingletonPtr</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00092">92</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4a16f5734f7f17716c693cae5078a29a"></a><!-- doxytag: member="Ogre::GLES2FBOManager::getSupportedAlternative" ref="a4a16f5734f7f17716c693cae5078a29a" args="(PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> <a class="el" href="classOgre_1_1GLES2RTTManager.html#a4a16f5734f7f17716c693cae5078a29a">Ogre::GLES2RTTManager::getSupportedAlternative</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the closest supported alternative format. </p>
<p>If format is supported, returns format. </p>

</div>
</div>
<a class="anchor" id="a2a5fc40a547baeb9fbe66fe4300d43c3"></a><!-- doxytag: member="Ogre::GLES2FBOManager::getTemporaryFBO" ref="a2a5fc40a547baeb9fbe66fe4300d43c3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLuint <a class="el" href="classOgre_1_1GLES2FBOManager.html#a2a5fc40a547baeb9fbe66fe4300d43c3">Ogre::GLES2FBOManager::getTemporaryFBO</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a FBO without depth/stencil for temporary use, like blitting between textures. </p>

<p>Definition at line <a class="el" href="OgreGLES2FBORenderTexture_8h_source.html#l00106">106</a> of file <a class="el" href="OgreGLES2FBORenderTexture_8h_source.html">OgreGLES2FBORenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="af7a872f18f376d1056980365d7aa58f9"></a><!-- doxytag: member="Ogre::GLES2FBOManager::releaseRenderBuffer" ref="af7a872f18f376d1056980365d7aa58f9" args="(const GLES2SurfaceDesc &amp;surface)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLES2FBOManager.html#af7a872f18f376d1056980365d7aa58f9">Ogre::GLES2FBOManager::releaseRenderBuffer</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1GLES2SurfaceDesc.html">GLES2SurfaceDesc</a> &amp;&#160;</td>
          <td class="paramname"><em>surface</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Release a render buffer. </p>
<p>Ignore silently if surface.buffer is 0. </p>

</div>
</div>
<a class="anchor" id="a183d5c390cbcbd85a2e07e771100abd4"></a><!-- doxytag: member="Ogre::GLES2FBOManager::requestRenderBuffer" ref="a183d5c390cbcbd85a2e07e771100abd4" args="(GLenum format, size_t width, size_t height, uint fsaa)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLES2SurfaceDesc.html">GLES2SurfaceDesc</a> <a class="el" href="classOgre_1_1GLES2FBOManager.html#a183d5c390cbcbd85a2e07e771100abd4">Ogre::GLES2FBOManager::requestRenderBuffer</a> </td>
          <td>(</td>
          <td class="paramtype">GLenum&#160;</td>
          <td class="paramname"><em>format</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td>
          <td class="paramname"><em>fsaa</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Request a render buffer. </p>
<p>If format is GL_NONE, return a zero buffer. </p>

</div>
</div>
<a class="anchor" id="a01e2cfb126305dfc9cb97067d4ae1765"></a><!-- doxytag: member="Ogre::GLES2FBOManager::requestRenderBuffer" ref="a01e2cfb126305dfc9cb97067d4ae1765" args="(const GLES2SurfaceDesc &amp;surface)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLES2FBOManager.html#a183d5c390cbcbd85a2e07e771100abd4">Ogre::GLES2FBOManager::requestRenderBuffer</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1GLES2SurfaceDesc.html">GLES2SurfaceDesc</a> &amp;&#160;</td>
          <td class="paramname"><em>surface</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Request the specify render buffer in case shared somewhere. </p>
<p>Ignore silently if surface.buffer is 0. </p>

</div>
</div>
<a class="anchor" id="a991a79a74f676ce7b02d1a6d828dcd3f"></a><!-- doxytag: member="Ogre::GLES2FBOManager::unbind" ref="a991a79a74f676ce7b02d1a6d828dcd3f" args="(RenderTarget *target)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLES2FBOManager.html#a991a79a74f676ce7b02d1a6d828dcd3f">Ogre::GLES2FBOManager::unbind</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&#160;</td>
          <td class="paramname"><em>target</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unbind a certain render target. </p>
<p>No-op for FBOs. </p>

<p>Implements <a class="el" href="classOgre_1_1GLES2RTTManager.html#aa9d4e39159889abf8b1d5fd4b2c44b7f">Ogre::GLES2RTTManager</a>.</p>

<p>Definition at line <a class="el" href="OgreGLES2FBORenderTexture_8h_source.html#l00074">74</a> of file <a class="el" href="OgreGLES2FBORenderTexture_8h_source.html">OgreGLES2FBORenderTexture.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a7dbe65eafbd33f5ce68d3fbb77945e81"></a><!-- doxytag: member="Ogre::GLES2FBOManager::mProps" ref="a7dbe65eafbd33f5ce68d3fbb77945e81" args="[PF_COUNT]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLES2FBOManager_1_1FormatProperties.html">FormatProperties</a> <a class="el" href="classOgre_1_1GLES2FBOManager.html#a7dbe65eafbd33f5ce68d3fbb77945e81">Ogre::GLES2FBOManager::mProps</a>[<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca44469cb753c29f07cba54678a57319a1">PF_COUNT</a>]<code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Properties for all internal formats defined by OGRE. </p>

<p>Definition at line <a class="el" href="OgreGLES2FBORenderTexture_8h_source.html#l00126">126</a> of file <a class="el" href="OgreGLES2FBORenderTexture_8h_source.html">OgreGLES2FBORenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa2a693b2834c0cc10cd32abba64ead7a"></a><!-- doxytag: member="Ogre::GLES2FBOManager::mRenderBufferMap" ref="aa2a693b2834c0cc10cd32abba64ead7a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLES2FBOManager.html#a6b63b5dbdfbe0c7a1d4fc34c462bd8a4">RenderBufferMap</a> <a class="el" href="classOgre_1_1GLES2FBOManager.html#aa2a693b2834c0cc10cd32abba64ead7a">Ogre::GLES2FBOManager::mRenderBufferMap</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2FBORenderTexture_8h_source.html#l00178">178</a> of file <a class="el" href="OgreGLES2FBORenderTexture_8h_source.html">OgreGLES2FBORenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="aff0baaaed91d8505cfb72b7725ae1c37"></a><!-- doxytag: member="Ogre::GLES2FBOManager::msSingleton" ref="aff0baaaed91d8505cfb72b7725ae1c37" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLES2RTTManager.html">GLES2RTTManager</a> * <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1GLES2RTTManager.html">GLES2RTTManager</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00075">75</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad3b19aa3123358a42bdd02be9ba4dcee"></a><!-- doxytag: member="Ogre::GLES2FBOManager::mTempFBO" ref="ad3b19aa3123358a42bdd02be9ba4dcee" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLuint <a class="el" href="classOgre_1_1GLES2FBOManager.html#ad3b19aa3123358a42bdd02be9ba4dcee">Ogre::GLES2FBOManager::mTempFBO</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Temporary FBO identifier. </p>

<p>Definition at line <a class="el" href="OgreGLES2FBORenderTexture_8h_source.html#l00183">183</a> of file <a class="el" href="OgreGLES2FBORenderTexture_8h_source.html">OgreGLES2FBORenderTexture.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGLES2FBORenderTexture_8h_source.html">OgreGLES2FBORenderTexture.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:28
</p>
</body>
</html>
